<?php
namespace App\Models;

use CodeIgniter\Model;
use App\Config\Database;

class PostModel extends Model
{
    protected $DBGroup = 'default';
    protected $table = 'posts';
    protected $primaryKey = 'id';
    protected $useAutoIncrement = true;
    protected $insertID  = 0;
    protected $returnType = 'array';
    protected $useSoftDeletes = false;
    protected $protectFields = true ;  
    protected $allowedFields = ['user_id','slug','title','images','body'];

    
     // Dates
    protected $useTimestamps = false;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'date_published';
    protected $updatedField  = 'date__updated';
    protected $deletedField  = 'date__deleted';

    // Validation
    protected $validationRules      = [];
    protected $validationMessages   = [];
    protected $skipValidation       = false;
    protected $cleanValidationRules = true;

    // Callbacks
    protected $allowCallbacks = true;
    protected $beforeInsert   = [];
    protected $afterInsert    = [];
    protected $beforeUpdate   = [];
    protected $afterUpdate    = [];
    protected $beforeFind     = [];
    protected $afterFind      = [];
    protected $beforeDelete   = [];
    protected $afterDelete    = [];
    
    
    protected  $x;
    protected  $y;
    protected $db;

    function __construct(){
        $db = \Config\Database::connect();
        
       
    }
    
    function get_Posts(){
        
        $query = $this->db()->table('posts')->get();
         return $posts = $query->getResultArray();
      
        
        
        //Method 2
        
       // $users = $userModel->findAll();
       //return $users = $userModel->all();
       

    }
    
    function get_Posts_Single($param){
        
        
        $builder = $this->db()->table('posts');
        //$query  = $builder->where('id', $param)->get();
         $query  = $builder->where(array('id' => $param))->get();;
        //return $post = $query->getRow('Array');
        return $post = $query->getRowArray();   
        
    }

    function get_Posts_Search($param){
        
        
        $builder = $this->db()->table('posts');
         $query  = $builder->like(array('title' => $param))->get();
        return $post = $query->getResultArray();        


    }
    function get_Posts_edit($param){
        
        
        $builder = $this->db()->table('posts');
        //$query  = $builder->where('id', $param)->get();
         $query  = $builder->where(array('id' => $param))->get();;
        //return $post = $query->getRow('Array');
        return $post = $query->getRowArray();        


    }
    
    
    

    function insert_Posts($formarray){
        
        $builder = $this->db()->table('posts');
       $builder->insert($formarray);

   }


    function Posts_update($formarray){
        
        $builder = $this->db()->table('posts');
        $builder->update($formarray);
        
        $this->db->where('id',$formarray['id']);
        return $this->db->update('posts',$formarray);
    }
    
      function Posts_delete($param){
        
        $builder = $this->db()->table('posts');
        $query  = $builder->where('id', $param)->get();
        $query->delete();        

        
        return true;
    }

}
