<?php
namespace App\Models;

use CodeIgniter\Model;
use App\Config\Database;

class UserModel extends Model
{
    protected $DBGroup = 'default';
    protected $table = 'users';
    protected $primaryKey = 'id';
    protected $useAutoIncrement = true;
    protected $insertID  = 0;
    protected $returnType = 'array';
    protected $useSoftDeletes = false;
    protected $protectFields = true ;  
    protected $allowedFields = ['name','avatar','email','password'];

    
     // Dates
    protected $useTimestamps = false;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'created_at';
    protected $updatedField  = 'updated_at';
    protected $deletedField  = 'deleted_at';

    // Validation
    protected $validationRules      = [];
    protected $validationMessages   = [];
    protected $skipValidation       = false;
    protected $cleanValidationRules = true;

    // Callbacks
    protected $allowCallbacks = true;
    protected $beforeInsert   = [];
    protected $afterInsert    = [];
    protected $beforeUpdate   = [];
    protected $afterUpdate    = [];
    protected $beforeFind     = [];
    protected $afterFind      = [];
    protected $beforeDelete   = [];
    protected $afterDelete    = [];
    
    function create($formarray){
        $this->db->insert("users",$formarray);
    }
    
    function all(){
        
        $db = \Config\Database::connect();
       $builder = $db->table('users');
       $query   = $builder->get();  // Produces: SELECT * FROM mytable
       return $users = $query->getResultarray();
       //$users = $userModel->findAll();
 
    }
    
    function getUser($userId){

        $db = \Config\Database::connect();
        //$query= $this->db->table('users')->where('id',$userId)->get(); 
        $builder = $db->table('users');
        $query = $builder->getWhere(['id' => $userId]);
       return $user = $query->getRowarray();
    }
    
    function modifier($userId,$formarray){
        $db = \Config\Database::connect();
       $builder = $db->table('users');
       $builder->set($formarray);
       $builder->where('id', $userId);
       $builder->update();

    }
    
    
    
        function delete($userId   = null , $purge= false   ){
        $db = \Config\Database::connect();
       $builder = $db->table('users');
       $builder->where('id', $userId);
       $builder->delete();

    }
    
    
function dateDiff($date1, $date2){
    $diff = abs($date1 - $date2); // abs pour avoir la valeur absolute, ainsi éviter d'avoir une différence négative
    $retour = array();
 
    $tmp = $diff;
    $retour['second'] = $tmp % 60;
 
    $tmp = floor( ($tmp - $retour['second']) /60 );
    $retour['minute'] = $tmp % 60;
 
    $tmp = floor( ($tmp - $retour['minute'])/60 );
    $retour['hour'] = $tmp % 24;
 
    $tmp = floor( ($tmp - $retour['hour'])  /24 );
    $retour['day'] = $tmp;
 
    return $retour;

}}




